Read this article carefully before installing this application. If you miss this article, you might not get the application working.


You must have composer installed in your system. If you don't have knowledge about composer, please click here. Once you have installed the composer in your computer, you need to install Node.js in your system. Here is a good article to install node.js in your computer. You need to install npm globally in your system.


As the application is built with Laravel 5.6, it requires to follow all the pre-requisites of Laravel 5.6. Click here to visit installation guidelines of Laravel.


PHP >= 7.1.3

OpenSSL PHP Extension

PDO PHP Extension

Mbstring PHP Extension

Tokenizer PHP Extension

XML PHP Extension

MySQL Native Driver Support

GD Image Library

Mcrypt Extension

Zip Archive Extension

Curl Support + allow_url_fopen enabled


Please note that Laravel framework pre-requisites are changed with release of every new version. Pre-requisites of this script 100% depends upon the pre-requisites of Laravel framework used to code the script.